Namespace
library
Image / Tag
openjdk:26-ea-25
Content Digest
sha256:fe3ff29152e7f995ae5c9a2a13e82abe2c3d26830b66d786919c92e738edb621
Details
Created

2025-11-24 22:39:27 UTC

Size

301 MB

Content Digest
Environment
JAVA_HOME

/usr/java/openjdk-26

JAVA_VERSION

26-ea+25

LANG

C.UTF-8

PATH

/usr/java/openjdk-26/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:023a182c62a0ce5adf24030e7fee994ceaa333b22cdb5f1a0835501015edf3ed - 15.69% (47.2 MB)

[#001] sha256:3bf608a82e295979461fe541a79070109962c5869f1fe35083b1fe2bd71a153d - 12.07% (36.3 MB)

[#002] sha256:56f0d45bffe88cdd52c3bd60e1dda18a2873756e0bebe641183fc84e4ad6ee8d - 72.24% (217 MB)


History
2025-10-17 22:51:41 UTC (buildkit.dockerfile.v0)

ADD oraclelinux-9-slim-amd64-rootfs.tar.xz / # buildkit

2025-10-17 22:51:41 UTC (buildkit.dockerfile.v0)

CMD ["/bin/bash"]

2025-11-24 22:39:19 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; microdnf install gzip tar binutils freetype fontconfig ; microdnf clean all # buildkit

2025-11-24 22:39:27 UTC (buildkit.dockerfile.v0)

ENV JAVA_HOME=/usr/java/openjdk-26

2025-11-24 22:39:27 UTC (buildkit.dockerfile.v0)

ENV PATH=/usr/java/openjdk-26/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2025-11-24 22:39:27 UTC (buildkit.dockerfile.v0)

ENV LANG=C.UTF-8

2025-11-24 22:39:27 UTC (buildkit.dockerfile.v0)

ENV JAVA_VERSION=26-ea+25

2025-11-24 22:39:27 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; arch="$(rpm --query --queryformat='%{ARCH}' rpm)"; case "$arch" in 'x86_64') downloadUrl='https://download.java.net/java/early_access/jdk26/25/GPL/openjdk-26-ea+25_linux-x64_bin.tar.gz'; downloadSha256='34a09a42f38d04f223c2c3c3665e4638bcda263c69c38e8e363760be8ceeaffd'; ;; 'aarch64') downloadUrl='https://download.java.net/java/early_access/jdk26/25/GPL/openjdk-26-ea+25_linux-aarch64_bin.tar.gz'; downloadSha256='33e9133fcee05a36df65b43ceea8dd2c16ff6fe9c0186acd0a697547c2bd7a42'; ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; curl -fL -o openjdk.tgz "$downloadUrl"; echo "$downloadSha256 *openjdk.tgz" | sha256sum --strict --check -; mkdir -p "$JAVA_HOME"; tar --extract --file openjdk.tgz --directory "$JAVA_HOME" --strip-components 1 --no-same-owner ; rm openjdk.tgz*; rm -rf "$JAVA_HOME/lib/security/cacerts"; ln -sT /etc/pki/ca-trust/extracted/java/cacerts "$JAVA_HOME/lib/security/cacerts"; ln -sfT "$JAVA_HOME" /usr/java/default; ln -sfT "$JAVA_HOME" /usr/java/latest; for bin in "$JAVA_HOME/bin/"*; do base="$(basename "$bin")"; [ ! -e "/usr/bin/$base" ]; alternatives --install "/usr/bin/$base" "$base" "$bin" 20000; done; java -Xshare:dump; fileEncoding="$(echo 'System.out.println(System.getProperty("file.encoding"))' | jshell -s -)"; [ "$fileEncoding" = 'UTF-8' ]; rm -rf ~/.java; javac --version; java --version # buildkit

2025-11-24 22:39:27 UTC (buildkit.dockerfile.v0)

CMD ["jshell"]

Details
Created

2025-11-24 22:38:45 UTC

Size

3.22 GB

Content Digest
Environment
JAVA_HOME

C:\openjdk-26

JAVA_SHA256

4fcd9d7036d75a47ff7d0ace16d6b27dec02549a4d110860c2ff45c1ac790029

JAVA_URL

https://download.java.net/java/early_access/jdk26/25/GPL/openjdk-26-ea+25_windows-x64_bin.zip

JAVA_VERSION

26-ea+25


Layers

[#000] sha256:1317fe15185685e9cd27f7542cd96f4847343401288a8b6798273a4ac60844eb - 64.03% (2.06 GB)

[#001] sha256:a84ef3b04f81727036fe8b401efc70b6979844e2b78bdf09aa1b68b7ef4edf63 - 29.49% (973 MB)

[#002] sha256:2fbc05ed4b88c9841b3c2e452d7b00e7b0a7c04e26a7cb1757ba50deeefc6513 - 0.0% (1.31 KB)

[#003] sha256:ac64a4be516e9e4bc89d8ac2927a4a4cd2aea973ed39755417d4da91689d609e - 0.01% (371 KB)

[#004] sha256:2a691710a9513fcc77127c82a79d333e80daf6667883776a6150346777848ad4 - 0.0% (1.29 KB)

[#005] sha256:d0b755e7219dfff1eeff92f410105405fd3788e31e540c70e5a795d7fb8fb261 - 0.01% (347 KB)

[#006] sha256:af7dcc351fee94909607672b64b1f83f18e3d4a75fac8e67258a67f2cbfd5528 - 0.0% (1.3 KB)

[#007] sha256:c382ed0649e191618ad91d29204dcad32f4eaf495aaf43888b2f201580703041 - 0.0% (1.31 KB)

[#008] sha256:d78901018f590f374d6823eca55dde9253d32e465d6323807c73e8cf5095fbb5 - 0.0% (1.32 KB)

[#009] sha256:62bba285b49ec22dafee3bb10372f43f0bb8b015f442de56fac3ea5e6b8d52f3 - 6.46% (213 MB)

[#010] sha256:9a85e9504d5f8928344d81ad2ac7b3d705026712aa50e599ca0317d0a79108f6 - 0.0% (1.3 KB)


History
2024-12-08 22:41:37 UTC

Apply image 10.0.26100.2605

2025-11-09 10:25:55 UTC

Install update 10.0.26100.7171

2025-11-24 21:55:48 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]

2025-11-24 22:38:17 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host 'Enabling TLS 1.2 (https://githubengineering.com/crypto-removal-notice/) ...'; $tls12RegBase = 'HKLM:\\SYSTEM\CurrentControlSet\Control\SecurityProviders\SCHANNEL\Protocols\TLS 1.2'; if (Test-Path $tls12RegBase) { throw ('"{0}" already exists!' -f $tls12RegBase) }; New-Item -Path ('{0}/Client' -f $tls12RegBase) -Force; New-Item -Path ('{0}/Server' -f $tls12RegBase) -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; Write-Host 'Complete.'

2025-11-24 22:38:18 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_HOME=C:\openjdk-26

2025-11-24 22:38:23 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;{1}' -f $env:JAVA_HOME, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); setx /M PATH $newPath; Write-Host 'Complete.'

2025-11-24 22:38:23 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_VERSION=26-ea+25

2025-11-24 22:38:24 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_URL=https://download.java.net/java/early_access/jdk26/25/GPL/openjdk-26-ea+25_windows-x64_bin.zip

2025-11-24 22:38:24 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_SHA256=4fcd9d7036d75a47ff7d0ace16d6b27dec02549a4d110860c2ff45c1ac790029

2025-11-24 22:38:45 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading {0} ...' -f $env:JAVA_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:JAVA_URL -OutFile 'openjdk.zip'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:JAVA_SHA256); if ((Get-FileHash openjdk.zip -Algorithm sha256).Hash -ne $env:JAVA_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; New-Item -ItemType Directory -Path C:\temp | Out-Null; Expand-Archive openjdk.zip -DestinationPath C:\temp; Move-Item -Path C:\temp\* -Destination $env:JAVA_HOME; Remove-Item C:\temp; Write-Host 'Removing ...'; Remove-Item openjdk.zip -Force; Write-Host 'Verifying install ...'; Write-Host ' javac --version'; javac --version; Write-Host ' java --version'; java --version; Write-Host 'Complete.'

2025-11-24 22:38:45 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) CMD ["jshell"]

Details
Created

2025-11-24 22:42:06 UTC

Size

1.86 GB

Content Digest
Environment
JAVA_HOME

C:\openjdk-26

JAVA_SHA256

4fcd9d7036d75a47ff7d0ace16d6b27dec02549a4d110860c2ff45c1ac790029

JAVA_URL

https://download.java.net/java/early_access/jdk26/25/GPL/openjdk-26-ea+25_windows-x64_bin.zip

JAVA_VERSION

26-ea+25


Layers

[#000] sha256:3cc21a1b754848d23f00aa65cb94ec34c9a5dc6028b3aada42039c824738d02f - 74.66% (1.39 GB)

[#001] sha256:3a26269efcb0f33c920b21f98d305592e7310bbe548291a16043e48a0c1feba5 - 14.09% (268 MB)

[#002] sha256:4aad132d44253f5455efa330566900fe031331917e6f95f4055d2072ead42290 - 0.0% (1.33 KB)

[#003] sha256:c6d5690eb8763a7986fb72e4d44ad6466abb11aa2dbf4ae609110cd3f3e252f0 - 0.03% (489 KB)

[#004] sha256:aeeac7142afbb261a27c3da0069adb5f0669bddcfaaf61af41040ad7ba4516cc - 0.0% (1.29 KB)

[#005] sha256:4f795b633508338331cc4560847afa2d110240926ec5f2208c8ca370e8ad324a - 0.02% (341 KB)

[#006] sha256:49e70b091e29d137dcd01b5a7fc4b268ded5c04567edb4b9acf650cf19dec6bf - 0.0% (1.3 KB)

[#007] sha256:6eeed71bf66533b999d80389cd77682a503532c7576baffd2578eb56a04e9a42 - 0.0% (1.29 KB)

[#008] sha256:0b682b53972d652083baa76920bc5cb9ebdfa23aa5074c5078886b2ff66ee960 - 0.0% (1.26 KB)

[#009] sha256:b750ab81cfc6790bdf5e5fe8155e9abf6255ee3a3f97f3f3ffeefafd56ef4716 - 11.21% (213 MB)

[#010] sha256:456195b5f41f15e5e81b1861f6457744104171c36c41c525fdcc91fe57128d39 - 0.0% (1.26 KB)


History
2025-10-09 07:51:18 UTC

Apply image 10.0.20348.4294

2025-11-05 05:39:13 UTC

Install update 10.0.20348.4405

2025-11-24 21:54:39 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]

2025-11-24 22:40:50 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host 'Enabling TLS 1.2 (https://githubengineering.com/crypto-removal-notice/) ...'; $tls12RegBase = 'HKLM:\\SYSTEM\CurrentControlSet\Control\SecurityProviders\SCHANNEL\Protocols\TLS 1.2'; if (Test-Path $tls12RegBase) { throw ('"{0}" already exists!' -f $tls12RegBase) }; New-Item -Path ('{0}/Client' -f $tls12RegBase) -Force; New-Item -Path ('{0}/Server' -f $tls12RegBase) -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; Write-Host 'Complete.'

2025-11-24 22:40:51 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_HOME=C:\openjdk-26

2025-11-24 22:40:57 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;{1}' -f $env:JAVA_HOME, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); setx /M PATH $newPath; Write-Host 'Complete.'

2025-11-24 22:40:58 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_VERSION=26-ea+25

2025-11-24 22:41:00 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_URL=https://download.java.net/java/early_access/jdk26/25/GPL/openjdk-26-ea+25_windows-x64_bin.zip

2025-11-24 22:41:01 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_SHA256=4fcd9d7036d75a47ff7d0ace16d6b27dec02549a4d110860c2ff45c1ac790029

2025-11-24 22:42:05 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading {0} ...' -f $env:JAVA_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:JAVA_URL -OutFile 'openjdk.zip'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:JAVA_SHA256); if ((Get-FileHash openjdk.zip -Algorithm sha256).Hash -ne $env:JAVA_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; New-Item -ItemType Directory -Path C:\temp | Out-Null; Expand-Archive openjdk.zip -DestinationPath C:\temp; Move-Item -Path C:\temp\* -Destination $env:JAVA_HOME; Remove-Item C:\temp; Write-Host 'Removing ...'; Remove-Item openjdk.zip -Force; Write-Host 'Verifying install ...'; Write-Host ' javac --version'; javac --version; Write-Host ' java --version'; java --version; Write-Host 'Complete.'

2025-11-24 22:42:06 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) CMD ["jshell"]

Details
Created

2025-11-24 22:39:58 UTC

Size

298 MB

Content Digest
Environment
JAVA_HOME

/usr/java/openjdk-26

JAVA_VERSION

26-ea+25

LANG

C.UTF-8

PATH

/usr/java/openjdk-26/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:0d86225d469f0ff347ff30258f3d1cb485b7b232705fcdf92e57ac5d6895ea30 - 15.4% (45.9 MB)

[#001] sha256:32fdc07cdc69e066e027a8a95055506d4df85a5edd717dea8f572fe4a3c54407 - 12.33% (36.7 MB)

[#002] sha256:4dd7f442426fecfe67511da3a4ace0a8faff14ce244eeb3d153be1d005eaec81 - 72.27% (215 MB)


History
2025-10-17 22:52:46 UTC (buildkit.dockerfile.v0)

ADD oraclelinux-9-slim-arm64v8-rootfs.tar.xz / # buildkit

2025-10-17 22:52:46 UTC (buildkit.dockerfile.v0)

CMD ["/bin/bash"]

2025-11-24 22:39:31 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; microdnf install gzip tar binutils freetype fontconfig ; microdnf clean all # buildkit

2025-11-24 22:39:58 UTC (buildkit.dockerfile.v0)

ENV JAVA_HOME=/usr/java/openjdk-26

2025-11-24 22:39:58 UTC (buildkit.dockerfile.v0)

ENV PATH=/usr/java/openjdk-26/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2025-11-24 22:39:58 UTC (buildkit.dockerfile.v0)

ENV LANG=C.UTF-8

2025-11-24 22:39:58 UTC (buildkit.dockerfile.v0)

ENV JAVA_VERSION=26-ea+25

2025-11-24 22:39:58 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; arch="$(rpm --query --queryformat='%{ARCH}' rpm)"; case "$arch" in 'x86_64') downloadUrl='https://download.java.net/java/early_access/jdk26/25/GPL/openjdk-26-ea+25_linux-x64_bin.tar.gz'; downloadSha256='34a09a42f38d04f223c2c3c3665e4638bcda263c69c38e8e363760be8ceeaffd'; ;; 'aarch64') downloadUrl='https://download.java.net/java/early_access/jdk26/25/GPL/openjdk-26-ea+25_linux-aarch64_bin.tar.gz'; downloadSha256='33e9133fcee05a36df65b43ceea8dd2c16ff6fe9c0186acd0a697547c2bd7a42'; ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; curl -fL -o openjdk.tgz "$downloadUrl"; echo "$downloadSha256 *openjdk.tgz" | sha256sum --strict --check -; mkdir -p "$JAVA_HOME"; tar --extract --file openjdk.tgz --directory "$JAVA_HOME" --strip-components 1 --no-same-owner ; rm openjdk.tgz*; rm -rf "$JAVA_HOME/lib/security/cacerts"; ln -sT /etc/pki/ca-trust/extracted/java/cacerts "$JAVA_HOME/lib/security/cacerts"; ln -sfT "$JAVA_HOME" /usr/java/default; ln -sfT "$JAVA_HOME" /usr/java/latest; for bin in "$JAVA_HOME/bin/"*; do base="$(basename "$bin")"; [ ! -e "/usr/bin/$base" ]; alternatives --install "/usr/bin/$base" "$base" "$bin" 20000; done; java -Xshare:dump; fileEncoding="$(echo 'System.out.println(System.getProperty("file.encoding"))' | jshell -s -)"; [ "$fileEncoding" = 'UTF-8' ]; rm -rf ~/.java; javac --version; java --version # buildkit

2025-11-24 22:39:58 UTC (buildkit.dockerfile.v0)

CMD ["jshell"]

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete